# Note that this is NOT a relocatable package
%define ver      0.2
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /usr

Summary: Locale configuration tool.
Name:      locale_config
Version:   %ver
Release:   %rel
Copyright: GPL
Group: Applications/System
Source0:   locale_config-%{PACKAGE_VERSION}.tar.gz
BuildRoot: /var/tmp/%{PACKAGE_NAME}-%{PACKAGE_VERSION}-root

Docdir: %{_prefix}/doc

%description
The locale_config tool configures system-wide locale (language,
numeric, time, etc.) settings.

%prep
%setup -q

%build
make 

%install
rm -rf $RPM_BUILD_ROOT

make USRSBIN=$RPM_BUILD_ROOT%{_prefix}/sbin install

strip $RPM_BUILD_ROOT%{_prefix}/sbin/* ||:

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/System
cat > $RPM_BUILD_ROOT/etc/X11/applnk/System/locale_config.desktop <<EOF
[Desktop Entry]
Name=Locale chooser
Type=Application
Description=configure which language text will be displayed in
Exec=locale_config
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%attr(0600,root,root) /etc/X11/applnk/System/locale_config.desktop
/usr/sbin/*

%changelog
* Fri Feb 04 2000 Preston Brown <pbrown@redhat.com>
- don't set LINGUAS or LC_ALL
- add desktop entry

* Mon Sep 20 1999 Elliot Lee <sopwith@redhat.com> 0.2.13-1
- First try at an RPM
